GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
alloc.c File Reference
`#include <grpc/support/alloc.h>`
`#include <stdlib.h>`
`#include <grpc/support/port_platform.h>`

## Functions
void * | gpr_malloc (size_t size)
void | gpr_free (void *p)
void * | gpr_realloc (void *p, size_t size)
void * | gpr_malloc_aligned (size_t size, size_t alignment_log)
void | gpr_free_aligned (void *ptr)

## Function Documentation

void gpr_free | ( | void * | p | ) |

void gpr_free_aligned | ( | void * | ptr | ) |

void* gpr_malloc | ( | size_t | size | ) |

void* gpr_malloc_aligned | ( | size_t | size,
|  | size_t | alignment_log
| ) |  |

void* gpr_realloc | ( | void * | p,
|  | size_t | size
| ) |  |